Skip to main content

Account External Group

View as Markdown

An external group from the customer's Identity Provider, resolved into <Databricks>. This is a read-only resource keyed by the IdP external ID. The Get method may trigger an idempotent sync from the customer's IdP to provision or refresh the group's data in <Databricks>.

ExternalGroup object

An external group from the customer's Identity Provider, resolved into <Databricks>. This is a read-only resource keyed by the IdP external ID. The Get method may trigger an idempotent sync from the customer's IdP to provision or refresh the group's data in <Databricks>.

namestringBeta

The resource name of the external group. The format depends on the API that returned it:

  • Account-scoped: accounts/{account_id}/external-groups/{external_group_id}
  • Workspace-scoped: external-groups/{external_group_id}
external_group_idstringBeta

The external ID of the group in the customer's IdP.

internal_idstringBeta

Internal groupId of the group in <Databricks>.

display_namestringBeta

Display name of the group from the customer's IdP.

account_idstringBeta

The parent account ID, from <Databricks>.

Get Beta

GET /api/2.0/identity/{name=accounts/*/external-groups/*}

Retrieves an external group with the given external ID from the customer's IdP. If the group does not exist, it will be created in the account. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

Parameters

namestringRequiredpath

Required. The resource name of the external group. Format: accounts/{account_id}/external-groups/{external_group_id}

Response

Returns the ExternalGroup object.